Loading...
Searching...
No Matches
mptcpd_addr_info Struct Reference

Information associated with a network address. More...

`#include <mptcpd/addr_info.h>`

## Private Attributes

struct sockaddr_storage | addr
| Network address family and IP address.
mptcpd_aid_t | id
uint32_t | flags
| MPTCP flags associated with the network address.
int | index
| Network interface index associated with network address.

## Detailed Description

Information associated with a network address.

## Member Data Documentation

## addr

struct sockaddr_storage mptcpd_addr_info::addr

private

Network address family and IP address.

Note
  Cast to `sockaddr_in` or `sockaddr_in6` depending on the address family in the `ss_family` field.

## flags

uint32_t mptcpd_addr_info::flags

private

MPTCP flags associated with the network address.

Bitset of MPTCP flags associated with the network address, e.g. `MPTCPD_ADDR_FLAG_BACKUP` ``| `MPTCP_PM_ADDR_FLAG_SUBFLOW`.

Note
  This value will be zero if no flag bits are set.

## id

mptcpd_aid_t mptcpd_addr_info::id

private

MPTCP address ID associated with the network address.

Note
  This value will be zero if no ID is associated with the address.

## index

int mptcpd_addr_info::index

private

Network interface index associated with network address.

Todo
  Will this value ever be zero, i.e. not set?

The documentation for this struct was generated from the following file:

- include/mptcpd/private/addr_info.h